<!DOCTYPE html>
<html>

<head>
	<style type="text/css">
		#viz2 {
			background-color: #F7F7F7;
			width: 100%;
			height: 100%;
			font: 5px arial;
		}
	</style>

	<script type="text/javascript">
		var viz2;
		function draw() {
			var config = {
				container_id: "viz2",
				server_url: "bolt://localhost:11003",
				server_user: "neo4j",
				server_password: "1234",
				labels: {
					"Book": {
						"caption": "title",
						// "size": "pagerank",
						"community": "community",
						"image": 'https://andresgutierrez.com/wp-content/uploads/2020/06/Book-Icon.png',

						"font": {
							"size": 16,
							"color": "#6A4F4F"
						},

					},
					"Author": {
						"caption": "name",
						"image": 'https://www.pinclipart.com/picdir/big/17-170266_popular-images-author-icon-png-clipart.png',

						"font": {
							"size": 16,
							"color": "#6A4F4F"
						},
					}
				},
				relationships: {
					"WROTE": {
						"thickness": "weight",
						"caption": true,
					},
				},
				initial_cypher: 'merge (n:param{value:"<%=title%>"}) with n.value as param1 match (n:Book{title:param1})MERGE(a)-[r:WROTE]-(n) Return a,r,n',
				arrows: true
			};
			viz2 = new NeoVis.default(config);
			viz2.render();
			console.log(viz2);
		}
	</script>
</head>